Name:      	perl-Devel-StackTrace
Summary:   	Perl module implementing stack trace and stack trace frame objects
Version:	1.1902
Epoch:		1
Release: 	1.3.moblin2
License:   	GPL+ or Artistic
Group: 		Development/Libraries
URL:       	http://search.cpan.org/dist/Devel-StackTrace
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source:    	http://search.cpan.org//CPAN/authors/id/D/DR/DROLSKY/Devel-StackTrace-%{version}.tar.gz

Buildarch: 	noarch

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Scalar::Util)

# for improved tests
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
# Missing in Fedora
# BuildRequires:  perl(Test::Kwalitee)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The Devel::StackTrace module contains two classes, Devel::StackTrace
and Devel::StackTraceFrame.  The goal of this object is to encapsulate
the information that can found through using the caller() function, as
well as providing a simple interface to this data.

The Devel::StackTrace object contains a set of Devel::StackTraceFrame
objects, one for each level of the stack.  The frames contain all the
data available from caller() as of Perl 5.6.0.

%prep
%setup -q -n Devel-StackTrace-%{version} 

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%check
make test IS_MAINTAINER=1

%files
%defattr(-,root,root,-)
%doc README LICENSE Changes
%{perl_vendorlib}/Devel
%{_mandir}/man3/*

%changelog
* Fri Feb 20 2009 Zhang, Qiang Z<qiang.z.zhang@intel.com> 1.1902
- Update to 1.1902
* Sat Dec 20 2008 Anas Nashif <anas.nashif@intel.com> 1.20
- Initial import into Moblin
* Sat Dec 13 2008 Ralf Corsépius <corsepiu@fedoraproject.org> - 1:1.20-1
- Upstream update.
- Bump epoch.
* Fri Aug  8 2008 @freenet.de> - 1.1902-1
- Upstream update.
* Wed Jun 25 2008 @freenet.de> - 1.1901-1
- Upstream update.
* Fri May 16 2008 @freenet.de> - 1.18-2
- Bump release.
* Mon Apr  7 2008 @freenet.de> - 1.18-1
- Upstream update.
* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.16-2
- Rebuild for perl 5.10 (again)
* Sun Feb  3 2008 @freenet.de> - 1.16-1
- Upstream update.
- Activate IS_MAINTAINER-tests.
- BR: perl(Test::Pod::Coverage).
* Mon Jan 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.15-3
- rebuild for new perl
* Wed Aug 29 2007 @freenet.de> - 1.15-2
- Update License.
* Mon Apr 30 2007 @freenet.de> - 1.15-1
- Upstream update.
* Sat Mar 17 2007 @freenet.de> - 1.14-1
- Upstream update.
* Tue Sep  5 2006 @freenet.de> - 1.13-2
- Mass rebuild.
* Tue Apr  4 2006 @freenet.de> - 1.13-1
- Upstream update.
* Wed Mar  1 2006 @freenet.de> - 1.12-2
- Rebuild for perl-5.8.8.
* Sun Oct  2 2005 @freenet.de> - 1.12-1
- Upstream update.
